/*
 * Copyright 2012 Phidgets Inc.  All rights reserved.
 */

import com.phidgets.*;
import com.phidgets.event.*;
import java.util.Scanner;

public class FridgeSensor
{
static InterfaceKitPhidget ik;
static int[] data;
static int index;
static double avg;
static int temp;

	public static void main(String args[]) throws Exception {
		
		index = 0;
		avg = 0;
		temp = 0;

		
		data = new int[1000];
		ik = new InterfaceKitPhidget();
		
		ik.addAttachListener(new AttachListener() {
			public void attached(AttachEvent ae) {
				System.out.println("attachment of " + ae);
			}
		});
		ik.addDetachListener(new DetachListener() {
			public void detached(DetachEvent ae) {
				System.out.println("detachment of " + ae);
			}
		});
		ik.addErrorListener(new ErrorListener() { //error event listener
			public void error(ErrorEvent ee) {
				System.out.println(ee);
			}
		});
		ik.addSensorChangeListener(new SensorChangeListener() { //checks for changes in the sensor measured values
			public void sensorChanged(SensorChangeEvent se) {
				int currentThreshold = 10; //if the measured current is over 10A we want to signal a user
				data[index] = se.getValue();
				index++;
				if(index == 1000) {
					for(int i=0;i<1000;i++){
						temp += data[i];
					}
					avg = temp / 1000;
					if((avg/40) > currentThreshold){
						try{
						ik.setOutputState(0, true); //for this example we will turn an LED on when the current reaches the threshold
						}
						catch(Exception e){
						}
					}
					index = 0;
					temp = 0;
					avg = 0;
				}
			}
		});

		ik.openAny();
		System.out.println("waiting for InterfaceKit attachment...");
		ik.waitForAttachment();
		System.out.println(ik.getDeviceName());

		Scanner sc = new Scanner(System.in);
		System.out.println("Press Enter to quit...");
		sc.nextLine();
		
		ik.setOutputState(0,false);
		ik.close();

	}
}
